--[[----------------------------------------------------------------------------
Copyright (c) 2011, Danny Fritz <dannyfritz@gmail.com>
http://creativecommons.org/licenses/by/3.0/
Licensed under the Creative Commons Attribution 3.0 Unported License.
--]]----------------------------------------------------------------------------

local Tween = require 'lib.tween.tween'


local Splash = Gamestate:addState('Splash')

local NEXTSTATE = 'Menu'
local WIDTH = 800
local HEIGHT = 600

local leaf
local face
local text
local pixel_effect
local old_background_color

--------------------------------------------------------------------------------
function Splash:enteredState()
	old_background_color = love.graphics.getBackgroundColor()
	print("background color")
	love.graphics.setBackgroundColor(254, 153, 0)
	local leaf_image = love.graphics.newImage('leaf.png')
	leaf = Object:new(leaf_image)
end

--------------------------------------------------------------------------------
function Splash:exitedState()
	love.graphics.setBackgroundColor(old_background_color)
end

--------------------------------------------------------------------------------
function Splash:update(dt)

end

--------------------------------------------------------------------------------
function Splash:draw()
	leaf:draw()
end

--------------------------------------------------------------------------------
function Splash:keypressed(key, unicode)
	if key == ' ' or key == 'enter' or key == 'kpenter' or key == 'escape' then
		gamestate:gotoState(NEXTSTATE)
	end
end

--------------------------------------------------------------------------------
function Splash:mousepressed(x, y, button)
	gamestate:gotoState(NEXTSTATE)
	--Let the player press things for animations!
end

--------------------------------------------------------------------------------
function Splash:joystickpressed(joystick, button)
	gamestate:gotoState(NEXTSTATE)
end
