--[[----------------------------------------------------------------------------
Copyright (c) 2011, Danny Fritz <dannyfritz@gmail.com>
http://creativecommons.org/licenses/by/3.0/
Licensed under the Creative Commons Attribution 3.0 Unported License.
--]]----------------------------------------------------------------------------

local Object = class('Object')

--------------------------------------------------------------------------------
function Object:initialize(image, attributes)
	local attributes = attributes or {}
	self.image = image
	self.x = attributes.x or 0
	self.y = attributes.y or 0
	self.angle = attributes.angle or 0
	self.scale_x = attributes.scale_x or 1
	self.scale_y = attributes.scale_y or 1
	self.offset_x = attributes.offset_x or 0
	self.offset_y = attributes.offset_y or 0
	self.alpha = attributes.alpha or 255
end

--------------------------------------------------------------------------------
function Object:draw()
	love.graphics.setColor(255,255,255,self.alpha)
	love.graphics.draw(self.image, self.x, self.y,
			self.angle, self.scale_x, self.scale_y,
			self.offset_x, self.offset_y)
	love.graphics.setColor(255,255,255,255)
end

return Object
